#include <libcc.h>
#include <stdio.h>
#include <errno.h>
#include <unistd.h>
#include <poll.h>
#include <fcntl.h>
#include <locale.h>
#if HAVE_GETPAGESIZE
#elif HAVE_SYSCONF && defined(_SC_PAGESIZE)
#define getpagesize() sysconf(_SC_PAGESIZE)
#elif PAGESIZE
#define getpagesize() PAGESIZE
#endif
ptrpair libgflibc_LTX_gforth_c_errno__n(GFORTH_ARGS)
{
  ARGN(-1,-1);
  sp[-1]=(errno);
  sp += -1;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_getpagesize__n(GFORTH_ARGS)
{
  ARGN(-1,-1);
  sp[-1]=getpagesize();
  sp += -1;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_fileno_a_n(GFORTH_ARGS)
{
  ARGN(0,-1);
  sp[0]=fileno((FILE*)(sp[0]));
  return x;
}
ptrpair libgflibc_LTX_gforth_c_poll_ann_n(GFORTH_ARGS)
{
  ARGN(2,-1);
  sp[2]=poll((void *)(sp[2]),sp[1],sp[0]);
  sp += 2;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_fdopen_ns_a(GFORTH_ARGS)
{
  ARGN(2,-1);
  sp[2]=(Cell)fdopen(sp[2],gforth_str2c((Char*)sp[1],sp[0]));
  sp += 2;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_fcntl_nnn_n(GFORTH_ARGS)
{
  ARGN(2,-1);
  sp[2]=fcntl(sp[2],sp[1],sp[0]);
  sp += 2;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_open_snn_n(GFORTH_ARGS)
{
  ARGN(3,-1);
  sp[3]=open(gforth_str2c((Char*)sp[3],sp[2]),sp[1],sp[0]);
  sp += 3;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_read_nan_n(GFORTH_ARGS)
{
  ARGN(2,-1);
  sp[2]=read(sp[2],(void *)(sp[1]),sp[0]);
  sp += 2;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_write_nan_n(GFORTH_ARGS)
{
  ARGN(2,-1);
  sp[2]=write(sp[2],(void *)(sp[1]),sp[0]);
  sp += 2;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_close_n_n(GFORTH_ARGS)
{
  ARGN(0,-1);
  sp[0]=close(sp[0]);
  return x;
}
ptrpair libgflibc_LTX_gforth_c_setlocale_ns_a(GFORTH_ARGS)
{
  ARGN(2,-1);
  sp[2]=(Cell)setlocale(sp[2],gforth_str2c((Char*)sp[1],sp[0]));
  sp += 2;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_fork__n(GFORTH_ARGS)
{
  ARGN(-1,-1);
  sp[-1]=fork();
  sp += -1;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_execvp_sa_n(GFORTH_ARGS)
{
  ARGN(2,-1);
  sp[2]=execvp(gforth_str2c((Char*)sp[2],sp[1]),(void *)(sp[0]));
  sp += 2;
  return x;
}
ptrpair libgflibc_LTX_gforth_c_exit_n_v(GFORTH_ARGS)
{
  ARGN(0,-1);
  exit(sp[0]);
  sp += 1;
  return x;
}
hash_128 gflibcc_hash_libc = "\x18\x3B\xA5\x3A\x5D\x71\x6F\xD5\xE2\xB7\xD3\x3C\xBD\xDA\x9D\xBC";
